<?php
if (!defined('_ECRIRE_INC_VERSION')) return;

// mettre un bien à la Une (ps = une)
function action_mettre_une_dist(){
	$securiser_action = charger_fonction('securiser_action', 'inc');
	$arg = $securiser_action();
	$id_article = intval($arg);
	if (!$id_article) 
		return false;

	// il faut être admin pour mettre à la Une
	include_spip('inc/autoriser');
	if (! autoriser("creer","rubrique")) {
		return false;
	}
	
	// modifier le PS
	sql_updateq('spip_articles', array('ps' => 'une'),'id_article='.$id_article);

	// Cache
	include_spip('inc/invalideur');
	suivre_invalideur("id='id_article/$id_article'");

	// redirection sur la page d'édition du bien
	$retour = 'spip.php?page=editer_bien&id_article='.$id_article;
	include_spip('inc/headers');
	redirige_par_entete($retour);
}

